Package org.apache.tools.ant.input

# Class PropertyFileInputHandler

java.lang.Object
org.apache.tools.ant.input.PropertyFileInputHandler

All Implemented Interfaces:
  `InputHandler`

    public class PropertyFileInputHandler
    extends java.lang.Object
    implements InputHandler

Reads input from a property file, the file name is read from the system property ant.input.properties, the prompt is the key for input.

Since:
  Ant 1.5

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `FILE_NAME_KEY` | Name of the system property we expect to hold the file name.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PropertyFileInputHandler()` | Empty no-arg constructor.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `handleInput​(InputRequest request)` | Picks up the input from a property, using the prompt as the name of the property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FILE_NAME_KEY

public static final java.lang.String FILE_NAME_KEY
Name of the system property we expect to hold the file name.

See Also:
  Constant Field Values

## Constructor Details

### PropertyFileInputHandler

public PropertyFileInputHandler()
Empty no-arg constructor.

## Method Details

### handleInput

public void handleInput​(InputRequest request) throws BuildException
Picks up the input from a property, using the prompt as the name of the property.

Specified by:
  `handleInput` in interface `InputHandler`
Parameters:
  `request` - an input request.
Throws:
  `BuildException` - if no property of that name can be found.